FTP = {}
FTP.DIR = MOD_DIR

dofile(MOD_DIR.."lua/os.lua")

package.cpath = package.cpath..";"..MOD_DIR.."lib/?."..os.libformat
package.path = package.path..";"..MOD_DIR.."lib/?.lua"

if not socket then
	require("socket")
end

function FTP.MkDir(Dir)
	while Dir:sub(1, 1) == "/" do
		Dir = Dir:sub(2)
	end
	if os.name() == "Windows" then
		os.execute('md "'..Dir..'"')
	else
		os.execute('mkdir "'..Dir..'"')
	end
end

function FTP.Remove(Dir)
	while Dir:sub(1, 1) == "/" do
		Dir = Dir:sub(2)
	end
	return os.remove(Dir)
end

function FTP.IsDir(Dir)
	while Dir:sub(1, 1) == "/" do
		Dir = Dir:sub(2)
	end
	if Dir == "" then
		return true
	end
	return io.isdir(Dir)
end

function FTP.Open(Dir, Mode)
	while Dir:sub(1, 1) == "/" do
		Dir = Dir:sub(2)
	end
	return io.open(Dir, Mode)
end

function FTP.EnumDir(Dir)
	while Dir:sub(1, 1) == "/" do
		Dir = Dir:sub(2)
	end

	local Items = {}
	if Dir == "" then
		if os.name() == "Windows" then
			for File in io.enumdir(".") do
				if File ~= "." and File ~= ".." then
					table.insert(Items, File)
				end
			end
		else
			for File in io.enumdir("/") do
				if File ~= "." and File ~= ".." then
					table.insert(Items, File)
				end
			end
		end
	else
		for File in io.enumdir(Dir) do
			if File ~= "." and File ~= ".." then
				table.insert(Items, File)
			end
		end
	end

	local Index, File
	return function ()
		Index, File = next(Items, Index)
		return File
	end
end

dofile(MOD_DIR.."lua/server.lua")
